summaryrefslogtreecommitdiffstats
path: root/source/n/postfix
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/postfix')
-rw-r--r--source/n/postfix/linux-6.patch24
-rwxr-xr-xsource/n/postfix/postfix.SlackBuild5
2 files changed, 28 insertions, 1 deletions
diff --git a/source/n/postfix/linux-6.patch b/source/n/postfix/linux-6.patch
new file mode 100644
index 000000000..19e73dc34
--- /dev/null
+++ b/source/n/postfix/linux-6.patch
@@ -0,0 +1,24 @@
+--- a/makedefs 2022-01-23 21:53:41.000000000 +0100
++++ b/makedefs 2022-09-07 19:07:02.000000000 +0200
+@@ -627,7 +627,8 @@
+ : ${SHLIB_ENV="LD_LIBRARY_PATH=`pwd`/lib"}
+ : ${PLUGIN_LD="${CC-gcc} -shared"}
+ ;;
+- Linux.[345].*) SYSTYPE=LINUX$RELEASE_MAJOR
++ Linux.[3456].*)
++ SYSTYPE=LINUX$RELEASE_MAJOR
+ case "$CCARGS" in
+ *-DNO_DB*) ;;
+ *-DHAS_DB*) ;;
+--- a/src/util/sys_defs.h 2021-12-05 19:59:27.000000000 +0100
++++ b/src/util/sys_defs.h 2022-09-07 19:09:09.000000000 +0200
+@@ -751,7 +751,8 @@
+ /*
+ * LINUX.
+ */
+-#if defined(LINUX2) || defined(LINUX3) || defined(LINUX4) || defined(LINUX5)
++#if defined(LINUX2) || defined(LINUX3) || defined(LINUX4) || defined(LINUX5) \
++ || defined(LINUX6)
+ #define SUPPORTED
+ #define UINT32_TYPE unsigned int
+ #define UINT16_TYPE unsigned short
diff --git a/source/n/postfix/postfix.SlackBuild b/source/n/postfix/postfix.SlackBuild
index b3cbf888e..8c5a4c3ef 100755
--- a/source/n/postfix/postfix.SlackBuild
+++ b/source/n/postfix/postfix.SlackBuild
@@ -2,7 +2,7 @@
#
# Copyright 2006, 2011 Alan Hicks, Lizella, GA
# Copyright 2010, 2011, 2013, 2014, 2015, 2016, 2017 Mario Preksavec, Zagreb, Croatia
-# Copyright 2017, 2018, 2020 Patrick J. Volkerding, Sebeka, MN USA
+# Copyright 2017, 2018, 2020, 2022 Patrick J. Volkerding, Sebeka, MN USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -102,6 +102,9 @@ zcat $CWD/postfix.only.warn.regular.files.diff.gz | patch -p1 --verbose || exit
# Make the postfix startup message look more like the other boot notices:
zcat $CWD/postfix.script.starting.message.diff.gz | patch -p1 --verbose || exit 1
+# Support the Linux 6.x kernel:
+zcat $CWD/linux-6.patch.gz | patch -p1 --verbose || exit 1
+
# Postfix does not use a ./configure script (no GNU autoconf)
#
# The AUXLIBS variable is for dynamic library linking, which as of this